Package Gnumed :: Package timelinelib :: Package config :: Module dateformatparser :: Class DateFormatParser |
[frames] | no frames]

# Class DateFormatParser

source code

    object --+
             |
            DateFormatParser

Instance Methods
get_error_text(self) | source code
is_valid(self, date_format) | source code
parse(self, date_format) | source code
get_separators(self) | source code
get_region_order(self) | source code
use_abbreviated_month_names(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`